cordova.define("cordova-social-vk.SocialVk", function(require, exports, module) {
function SocialVk() {
    // Does nothing
}

SocialVk.prototype.init = function(appId, apiVersion, successCallback, errorCallback) {
    const args = [appId];

    if (typeof apiVersion === 'function') {
        errorCallback = successCallback;
        successCallback = apiVersion;
    }

    if (typeof apiVersion === 'string') {
        args.push(apiVersion);
    }

    cordova.exec(successCallback, errorCallback, "SocialVk", "initSocialVk", args);
};

SocialVk.prototype.login = function(permissions, successCallback, errorCallback) {
    cordova.exec(successCallback, errorCallback, "SocialVk", "login", [permissions]);
};

SocialVk.prototype.logout = function(successCallback, errorCallback) {
    cordova.exec(successCallback, errorCallback, "SocialVk", "logout", []);
};

// API methods

SocialVk.prototype.callApiMethod = function(method, params, successCallback, errorCallback) {
    cordova.exec(successCallback, errorCallback, "SocialVk", "callApiMethod", [method, params]);
}

module.exports = new SocialVk();

});
